Bug 1027580 - The documentation for grub appears to be badly out-of-date with respect to how it works on a UEFI system with a GPT
The documentation for grub appears to be badly out-of-date with respect to ho...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.6
Unspecified Linux
high Severity low
: rc
: ---
Assigned To: Clayton Spicer
ecs-bugs
: Documentation, Reopened
Depends On:
Blocks: 1172231 1269194
  Show dependency treegraph
 
Reported: 2013-11-07 01:53 EST by Yogesh Babar
Modified: 2017-04-11 09:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 20:40:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A grub.cfg file from UEFI system (5.69 KB, text/plain)
2014-11-26 12:13 EST, Yogesh Babar
no flags Details

  None (edit)
Description Yogesh Babar 2013-11-07 01:53:52 EST
Description of problem:
1. Section E.3 of the installation manual:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-grub-installing.html

talks about installing various stages of the grub and the destination of the install being the MBR.  But that is not true on a UEFI system all that is required is to install grub.conf and grub.efi in /boot/efi/EFI/redhat.  

2. The default grub.conf contains a "device" line like this.

device (hd0) HD(1,800,fa000,48138806-3f64-4d32-b4b1-a5a32fae6c66)

There is nothing in the documentation that describes a line using this syntax (there is documentation on a "device" command but not using that syntax). It appears to be defining (hd0) to be the hard disk with the 4 characteristics specified in the (...), but what are the 4 items in the (...)?

Version-Release number of selected component (if applicable):
GRUB/UEFI Documentation 

How reproducible:
N/A

Steps to Reproduce:
See the RHEL-6 installation guide link: 

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-grub-installing.html

Actual results:
No proper documentation for GRUB on UEFI system. 

Expected results:
There should be proper documentation in RHEL-6 installation guide like: 
1) How grub-install works on UEFI based system. 
2) What is the 'device' parameter in grub.conf of a UEFI system. For example: 

   device (hd0) HD(1,800,fa000,48138806-3f64-4d32-b4b1-a5a32fae6c66)

The meaning of above line is: 

(hd0): references /boot/grub/device.map device
HD(): The media type (harddrive).  There's also CD, Vendor, File, UnknownMedia, UnknownBIOS.  These each take unique parameters.   
1: partition number (starts at 1)
800: partition start
fa000: partition size
48138806-3f64-4d32-b4b1-a5a32fae6c66: partition signature

But its no where documented. 

Additional info:
Comment 2 RHEL Product and Program Management 2013-11-10 04:15:03 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 10 Yogesh Babar 2014-11-26 12:13:22 EST
Created attachment 961720 [details]
A grub.cfg file from UEFI system
Comment 12 Petr Bokoc 2015-07-28 12:08:58 EDT
Released as part of the RHEL6.7 GA release.
Comment 13 Petr Bokoc 2015-07-28 12:11:26 EDT
Sorry, closed this by accident.

Note You need to log in before you can comment on or make changes to this bug.